> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/workflows.md).

# Workflows

Workflows are a way to control the flow of products through workflow states that indicate where the product is in its lifecycle from being created to being released or discontinued.

You can add or update workflows through [Product model setup](/pim3/reference/product-model-setup.md) > [Workflows](/pim3/reference/product-model-setup/workflows.md).

### View workflow

Workflows are shown directly in the workflow page.

### Find workflow

1. Click column header name for Alias or Label
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/pim3/reference/search/search-help.md)
{% endhint %}

### Add a new workflow

1. Click "Create workflow"
2. Set Alias, Label, [Workflow states](/pim3/reference/product-model-setup/workflows/workflow-states.md) and Default state along with additional [details](/pim3/reference/product-model-setup/workflows/workflow-details.md)
3. Click "Create Workflow"

### Edit workflow

1. Click "Edit"-icon
2. Modify the workflow [details](/pim3/reference/product-model-setup/workflows/workflow-details.md)
3. Click "Update Workflow"

### Delete workflow

1. Click "Delete"-icon
2. Confirm delete


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/workflows.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
